## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-yte
Version:        1.5.7
Release:        %autorelease
Summary:        YAML template engine with Python expressions

# SPDX
License:        MIT
URL:            https://github.com/yte-template-engine/yte
# GitHub archive contains tests; PyPI sdist does not
Source0:        %{url}/archive/v%{version}/yte-%{version}.tar.gz
# Man page written for Fedora in groff_man(7) format based on --help output
Source1:        yte.1

BuildSystem:            pyproject
BuildOption(install):   yte

BuildArch:      noarch

BuildRequires:  python3-devel

# For tests, from [tool.poetry.dev-dependencies] in pyproject.toml, with
# coverage/linters/etc. removed and version upper bounds removed:
BuildRequires:  %{py3_dist pytest} >= 7.0
BuildRequires:  %{py3_dist numpy} >= 1.0

%global common_description %{expand:
YTE is a template engine for YAML format that utilizes the YAML structure in
combination with Python expressions for enabling to dynamically build YAML
documents.

The key idea of YTE is to rely on the YAML structure to enable conditionals,
loops and other arbitrary Python expressions to dynamically render YAML files.
Python expressions are thereby declared by prepending them with a ? anywhere in
the YAML. Any such value will be automatically evaluated by YTE, yielding plain
YAML as a result. Importantly, YTE templates are still valid YAML files (for
YAML, the ? expressions are just strings).

Documentation of YTE can be found at https://yte-template-engine.github.io.}

%description %{common_description}


%package -n python3-yte
Summary:        %{summary}

%description -n python3-yte %{common_description}


%install -a
install -t '%{buildroot}%{_mandir}/man1' -m 0644 -p -D '%{SOURCE1}'


%check -a
%pytest -v tests.py


%files -n python3-yte -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%doc docs/main.md

%{_bindir}/yte
%{_mandir}/man1/yte.1*


%changelog
## START: Generated by rpmautospec
* Wed Feb 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.7-1
- Update to 1.5.7 upstream release
- Resolves: rhbz#2343890

* Mon Jan 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.6-1
- Update to 1.5.6 (close RHBZ#2331203)

* Mon Jan 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.5-4
- Update .rpmlintrc file for declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.5-2
- F41+: Use the provisional pyproject declarative buildsystem

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.5-1
- Update to 1.5.5 upstream release
- Resolves: rhbz#2331203

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.5.4-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.4-1
- Update to 1.5.4 (close RHBZ#2253962)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.5.1-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.1-2
- Confirm License is SPDX MIT

* Tue Jul 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.1-1
- Initial package (close RHBZ#2109250)
## END: Generated by rpmautospec
